%define upstream_name    MooseX-MakeImmutable
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    A convenient way to make many Moosen immutable (or mutable) in one shot
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp::Clan)
BuildRequires: perl(Class::Inspector)
BuildRequires: perl(Devel::InnerPackage)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Moose)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Most)
BuildArch: noarch

%description
MooseX::MakeImmutable is a tool for loading every Moose::Object within a
hierarchy and making each immutable/mutable. It uses the Module::Pluggable
manpage for searching and will load both inner and .pm packages.

In a nutshell, if you add a Moose-based package to your object hierarchy,
then MooseX::MakeImmutable, given a proper manifest, will pick it up and
mark it im/mutable (without you having to manually write-out the new
package).

NOTE: The name "MakeImmutable" is a bit of a misnomer, since this package
can both make_immutable AND make_mutable. However, 90% of the time, you'll
probably be using ->make_immutable

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.20.0-13.mga10
+ Revision: 2204075
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.20.0-12.mga9
+ Revision: 1809820
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.20.0-11.mga8
+ Revision: 1505396
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.20.0-10.mga7
+ Revision: 1285081
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.20.0-9.mga7
+ Revision: 1165626
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.20.0-8.mga7
+ Revision: 1159216
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.20.0-7.mga6
+ Revision: 1030435
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.20.0-6.mga6
+ Revision: 938689
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-5.mga5
+ Revision: 750023
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-4.mga5
+ Revision: 685544
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-3.mga4
+ Revision: 513146
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 370191
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 27 2012 dlucio <dlucio> 0.20.0-1.mga3
+ Revision: 310648
- imported package perl-MooseX-MakeImmutable


* Fri Oct 26 2012 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
